## START: Set by rpmautospec
## (rpmautospec version 0.8.2)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 10;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%bcond bootstrap 0

Name:           plexus-xml
Version:        4.0.4
Release:        %autorelease
Summary:        Plexus XML Utilities
# Licensing breakdown:
# Apache-1.1: src/main/java/org/codehaus/plexus/util/xml/StringUtils.java
# xpp: src/main/java/org/codehaus/plexus/util/xml/pull/MXParser.java
# Everything else is Apache-2.0
License:        Apache-1.1 AND Apache-2.0 AND xpp
URL:            https://codehaus-plexus.github.io/plexus-xml/
BuildArch:      noarch
ExclusiveArch:  %{java_arches} noarch

Source0:        https://github.com/codehaus-plexus/%{name}/archive/%{name}-%{version}.tar.gz

# https://github.com/codehaus-plexus/plexus-xml/pull/53
Patch:          0001-Upgrade-to-Maven-4.0.0-rc-2.patch
# https://github.com/codehaus-plexus/plexus-xml/pull/65
Patch:          0002-Bump-org.apache.maven-maven-xml-from-4.0.0-rc-3-to-4.patch

%if %{with bootstrap}
BuildRequires:  javapackages-bootstrap
%else
BuildRequires:  maven-local-openjdk25
BuildRequires:  mvn(org.apache.maven:maven-xml:4.0.0-rc-4)
BuildRequires:  mvn(org.codehaus.plexus:plexus:pom:)
%endif
# TODO Remove in Fedora 46
Obsoletes:      %{name}-javadoc < 4.0.4-5

%description
A collection of various utility classes to ease working with XML.

%prep
%autosetup -p1 -C

%build
# Test dependencies are not packaged
%mvn_build -j -f

%install
%mvn_install

%files -f .mfiles
%doc README.md
%license NOTICE.txt LICENSE.txt

%changelog
## START: Generated by rpmautospec
* Fri Jul 11 2025 Mikolaj Izdebski <mizdebsk@redhat.com> - 4.0.4-8
- Depend to Maven 4.0.0-rc-4
- Build with OpenJDK 25

* Thu May 22 2025 Mikolaj Izdebski <mizdebsk@redhat.com> - 4.0.4-7
- Switch javapackages test plan to f43 ref

* Wed Mar 26 2025 Mikolaj Izdebski <mizdebsk@redhat.com> - 4.0.4-6
- Switch to javapackages tests from CentOS Stream GitLab

* Sun Mar 16 2025 Mikolaj Izdebski <mizdebsk@redhat.com> - 4.0.4-5
- Switch to Maven 4.0.0 RC 3

* Mon Mar 03 2025 Mikolaj Izdebski <mizdebsk@redhat.com> - 4.0.4-4
- Remove javadoc subpackage

* Wed Feb 26 2025 Mikolaj Izdebski <mizdebsk@redhat.com> - 4.0.4-3
- Non-bootstrap build

* Wed Feb 26 2025 Mikolaj Izdebski <mizdebsk@redhat.com> - 4.0.4-2
- Bootstrap build

* Sun Feb 16 2025 Mikolaj Izdebski <mizdebsk@redhat.com> - 4.0.4-1
- Update to upstream version 4.0.4

* Sat Jan 18 2025 Fedora Release Engineering <releng@fedoraproject.org> - 3.0.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Fri Nov 29 2024 Mikolaj Izdebski <mizdebsk@redhat.com> - 3.0.1-3
- Update javapackages test plan to f42

* Wed Aug 21 2024 Mikolaj Izdebski <mizdebsk@redhat.com> - 3.0.1-1
- Update to upstream version 3.0.1

* Fri Jul 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 3.0.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Fri Feb 23 2024 Jiri Vanek <jvanek@redhat.com> - 3.0.0-2
- bump of release for for java-21-openjdk as system jdk

* Fri Feb  2 2024 Mikolaj Izdebski <mizdebsk@redhat.com> - 3.0.0-1
- Initial packaging

## END: Generated by rpmautospec
